Skip to main content
GET
/
v1
/
timeline
/
{noteId}
Get a note
curl --request GET \
  --url https://api.prod.getdex.com/v1/timeline/{noteId} \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "note": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "content": "<string>",
      "type": "<string>",
      "is_pinned": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Use cases

  • Display a note detail or edit view
  • Fetch the latest note content before updating it
  • Retrieve a specific interaction record for display in your application

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Path Parameters

noteId
string<uuid>
required

Query Parameters

include
object

Response

Successful response

error
boolean
required
data
object
required